Skip to content

Events Subscriptions API (v1)

Introduction

Welcome to the Aritma Events API!

Over time there will be introduced changes to the API as we continuously introduce improvements. You have the option to use a specific version or the most recent version, supported versions are available in the response header api-supported-versions. Use a specific version of the API by specifying the api-version header, for example api-version: 1.0. If you don't specify the header, the latest version will be used. If a version has been scheduled to be removed, it will be reported through the api-supported-versions header.

Our API uses resource-oriented endpoint paths, accepts Json-Encoded request bodies, returns Json-Encoded responses, and uses standard HTTP response codes and verbs.

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/platform/events/openapi/events-openapi
Subscriptions API Dev
https://events.dev.aritma.io
Subscriptions API
https://events.aritma.io

Deadletter

Operations

Gets a list of deadletters for a container.

Request

Security
authorization_code_dev(Required scopes:
api
)
or client_credentials_dev(Required scopes:
api
)
or authorization_code(Required scopes:
api
)
or client_credentials(Required scopes:
api
)
Query
subscriptionNamestring

If specified restricts result to a specific subscription.

pageSizeinteger(int32)

Divides the result into pages. (Default = 10, max = 100, min = 1)

Default 10
cursorinteger(int64)

Reference for next page.

fromDatestring(date-time)

If specified restricts result to a time period newer than this value.

toDatestring(date-time)

If specified restricts result to a time period older than this value.

Headers
ResourceUristring

ResourceUri to create the event subscriptions under.

TenantIdstring(uuid)

TenantId used by the customer.

No request payload

Responses

Success

Body
dataArray of objects or null(FailedEventDataDto)

A list of failed events.

pageSizeinteger(int32)

The max number of items per page.

cursorinteger or null(int64)

A reference for the next page.

Response
No response example

Downloads a failed event.

Request

Security
authorization_code_dev(Required scopes:
api
)
or client_credentials_dev(Required scopes:
api
)
or authorization_code(Required scopes:
api
)
or client_credentials(Required scopes:
api
)
Path
eventIdstring(uuid)required

The unique event id.

Headers
ResourceUristring

ResourceUri to create the event subscriptions under.

TenantIdstring(uuid)

TenantId used by the customer.

No request payload

Responses

Success

Body
idstring or null
eventTimestring(date-time)
subjectstring or null
eventTypestring or null
deliveryAttemptsinteger(int32)
lastHttpStatusCodeinteger(int32)
lastDeliveryOutcomestring or null
publishTimestring(date-time)
lastDeliveryAttemptTimestring(date-time)
failureReasonstring or null
dataany or null
Response
No response example

Deletes a failed event.

Request

Security
authorization_code_dev(Required scopes:
api
)
or client_credentials_dev(Required scopes:
api
)
or authorization_code(Required scopes:
api
)
or client_credentials(Required scopes:
api
)
Path
eventIdstring(uuid)required

The unique event id.

Headers
ResourceUristring

ResourceUri to create the event subscriptions under.

TenantIdstring(uuid)

TenantId used by the customer.

No request payload

Responses

No Content

Response
No content

Subscriptions

Operations